package com.bocloud.cmp.model.installation.catalog;

import java.util.List;

/**
 * RAID 逻辑盘信息
 * <p>
 * 多个Drive配置raid后形成DriveGroup给操作系统使用
 *
 * @author 007
 */
public class DriveGroup {
    /**
     * 唯一表示
     */
    private String id;
    /**
     * "RAID0"
     */
    private String type;
    private String state;
    /**
     * RW
     */
    private String Access;
    /**
     * Yes
     */
    private Boolean Consist;
    /**
     * "Size": "278.875 GB"
     */
    private String size;
    /**
     * 名称
     */
    private String name;
    /**
     * 操作系统识别名称
     * "/dev/sda"
     */
    private String diskName;
    /**
     * 600508B1001C4EB9881DC4BA95F1B6E2
     */
    private String identifier;
    /**
     * raid盘中包含的硬盘信息
     */
    private List<Drive> drives;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getState() {
        return state;
    }

    public void setState(String state) {
        this.state = state;
    }

    public String getAccess() {
        return Access;
    }

    public void setAccess(String access) {
        Access = access;
    }

    public Boolean getConsist() {
        return Consist;
    }

    public void setConsist(Boolean consist) {
        Consist = consist;
    }

    public String getSize() {
        return size;
    }

    public void setSize(String size) {
        this.size = size;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getDiskName() {
        return diskName;
    }

    public void setDiskName(String diskName) {
        this.diskName = diskName;
    }

    public String getIdentifier() {
        return identifier;
    }

    public void setIdentifier(String identifier) {
        this.identifier = identifier;
    }

    public List<Drive> getDrives() {
        return drives;
    }

    public void setDrives(List<Drive> drives) {
        this.drives = drives;
    }
}
